<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Logger"
	description="Обеспечивает логирование прикладных событий, происходящих в системе, и вывод их на экран в специальном окне журналирования"
	fileName="NPCFaceLogger.jar" className="org.mati.npc.faces.NPCFaceLogger"
	version="9345" time="17.02.2009 16:31:02">

	<Group>СКУД</Group>
	<Group>Охранно-пожарная система</Group>
	<Group>Журналирование</Group>

	<!-- INLINKS -->
	<INLink name="InLoggerHandler"
		description="Связь с компонентом для логирования его работы"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X"
		defaultValue="10"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y"
		defaultValue="660"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина"
		defaultValue="890"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute description="Высота" nullable="false"
		defaultValue="90"
		type="java.lang.Integer" name="SizeHeight">
	</Attribute>
	<Attribute
		description="Максимальное кол-во сообщений, которые будут отображаться в окне журналирования"
		defaultValue="20"
		nullable="false" type="java.lang.Integer"
		name="DisplayableMessagesCount">
	</Attribute>
	<Attribute description="Файл журнала событий" nullable="false"
		type="java.lang.String" name="LogFilePath"
		defaultValue="./log/FaceLogger/logger.log">
	</Attribute>
	<Attribute description="Имя логгера" nullable="false"
		type="java.lang.String" name="LoggerName" defaultValue="FaceLogger">
	</Attribute>

</ClassComponent>

